Summary:	Web based Javascript HTML WYSIWYG editor control
Name:		tinymce
Version:	3.5.8
Release:	1%{?dist}
Group:		Applications/Publishing
License:	LGPLv2+
URL:		http://tinymce.moxiecode.com

Source0:	http://download.moxiecode.com/tinymce/%{name}_%{version}.zip
# This disables the use of the moxieplayer.swf Flash video wrapper,
# which we don't ship as it's provided as a binary blob. Just removing
# the blob causes tinymce to keep generating HTML which wants to use
# it; we have to tell it the blob isn't available and it'll generate
# nice clean HTML5 instead.
Patch0:		tinymce-3.5.8-no_moxieplayer.patch
BuildArch:	noarch

%description
TinyMCE is a platform independent web based Javascript HTML WYSIWYG
editor control released as by Moxiecode Systems AB. It has the ability 
to convert HTML TEXTAREA fields or other HTML elements to editor instances.
TinyMCE is very easy to integrate into other CMS systems.

%prep
%setup -q -n %{name}
# Drop pre-built Flash binaries (#1000266). This means Flash fallback
# for video playback will not work.
rm -f jscripts/tiny_mce/plugins/media/moxieplayer.swf
rm -f examples/media/sample.swf
rm -f examples/media/sample.dcr

# Convert to UTF-8
for file in changelog.txt ./jscripts/tiny_mce/license.txt; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done
# Convert from DOS to UNIX line endings
for file in changelog.txt ./jscripts/tiny_mce/license.txt; do
 sed "s|\r||g" $file > $file.new && \
 touch -r $file $file.new && \
 mv $file.new $file
done



%build
# Nothing here, since it is webapp
# so, nothing has to be compiled


%install
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/%{name}
cp -pr * ${RPM_BUILD_ROOT}%{_datadir}/%{name}
# Remove unnecessary src *.js files
find ${RPM_BUILD_ROOT} -name '*_src.js' | xargs rm
# Remove empty files to make rpmlint happy
find ${RPM_BUILD_ROOT} -empty -exec rm -f {} \;
# Set the appropriate permissions, since unzip doesn't
chmod -R 755 ${RPM_BUILD_ROOT}%{_datadir}/%{name}
find ${RPM_BUILD_ROOT}%{_datadir}/%{name} -type f | xargs chmod 644
# These are docs, remove them from here, docify them later
rm -f ${RPM_BUILD_ROOT}%{_datadir}/%{name}/{changelog.txt,jscripts/tiny_mce/license.txt}
# Remove spellchecker plugin, we have separate package for that
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/jscripts/tiny_mce/plugins/spellchecker

%files
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/examples
%doc changelog.txt
%dir %{_datadir}/%{name}/jscripts
%dir %{_datadir}/%{name}/jscripts/tiny_mce
%{_datadir}/%{name}/jscripts/tiny_mce/langs
%{_datadir}/%{name}/jscripts/tiny_mce/themes
%{_datadir}/%{name}/jscripts/tiny_mce/utils
%{_datadir}/%{name}/jscripts/tiny_mce/*.js
%doc jscripts/tiny_mce/license.txt
%{_datadir}/%{name}/jscripts/tiny_mce/plugins


%changelog
* Fri Aug 23 2013 Adam Williamson <awilliam@redhat.com> - 3.5.8-1
- bump to latest upstream release
- drop pre-build Flash blobs, patch media plugin not to try and use
  moxieplayer

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.3.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 28 2011 Parag Nemade <pnemade AT fedoraproject DOT org> - 3.4.3.2-4
- Rebuild this package.

* Mon Jul 11 2011 Neal Gompa <ngompa13{%}gmail{*}com> - 3.4.3.2-3
- Update to 3.4.3.2
- Remove hard dependency on httpd
- Change to new source URL

* Mon Jun 28 2010 Neal Gompa <ngompa13{%}gmail{*}com> - 3.3.7-2
- Remove explicit unzip BuildRequires

* Sun Jun 27 2010 Neal Gompa <ngompa13{%}gmail{*}com> - 3.3.7-1
- Initial package created

